petsc-3.4.2 2013-07-02

# SNESLineSearchComputeNorms

Computes the norms of X, F, and Y.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchComputeNorms(SNESLineSearch linesearch)

### Input Parameters

linesearch -linesearch context

### Options Database Keys

-snes_linesearch_norms -turn norm computation on or off

### See Also

SNESLineSearchGetNorms, SNESLineSearchSetNorms(), SNESLineSearchSetComputeNorms()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages